

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _ASeqFilter_2(OBJ,OBJ);extern OBJ __ASeqFilter_2;
extern TUP2 _ASeqFilter_5(OBJ,OBJ);extern OBJ __ASeqFilter_5;
extern OBJ _ASetFilter_3(OBJ,OBJ,OBJ);OBJ __ASetFilter_3; /* | */
extern TUP2 _ASetFilter_4(OBJ,OBJ,OBJ);OBJ __ASetFilter_4; /* partition */

extern OBJ _ASetFilter_3(OBJ x1,OBJ x2,OBJ x3) /* | */
{OBJ r;
 FRCLS(x1,1);
 r=_ASeqFilter_2(x2,x3);
 return r;}

extern TUP2 _ASetFilter_4(OBJ x1,OBJ x2,OBJ x3) /* partition */
{TUP2 r;
 FRCLS(x1,1);
 r=_ASeqFilter_5(x2,x3);
 return r;}
extern OBJ _ASetFilter_4_c(OBJ x1,OBJ x2,OBJ x3) /* partition */
{OBJ r;
 {TUP2 t=_ASetFilter_4(x1,x2,x3);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

init_ASetFilter()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASet();
 init_ANat();
 init_ASeq();
 init_AOption();
 init_ASeqFilter();
 CLS(3,_ASetFilter_4_c,__ASetFilter_4);
 CLS(3,_ASetFilter_3,__ASetFilter_3);}

